Cartelle condivise

È possibile utilizzare lo snap-in Cartelle condivise di Microsoft Management Console (MMC) per gestire a livello centralizzato le condivisioni file in un computer. Cartelle condivise consente di creare condivisioni file e impostare autorizzazioni, nonché di visualizzare e gestire i file aperti e gli utenti connessi alle condivisioni file nel computer.

  • Condividere una cartella o un'unità

  • Terminare la condivisione di una cartella o di un'unità

  • Chiudere un file aperto

  • Disconnettere un utente

  • Impostare le autorizzazioni per le cartelle condivise

  • Configurare la disponibilità di una cartella condivisa in modalità offline

  • Limitare il numero di utenti di una cartella condivisa

  • Informazioni sulle cartelle condivise e Windows Firewall

  • Risolvere i problemi relativi alle cartelle condivise


Condividere una cartella o un'unità

È possibile procedere in diversi modi per condividere cartelle e file con altri utenti in rete. La Creazione guidata cartella condivisa consente di impostare una cartella condivisa di base. È inoltre possibile utilizzare l'interfaccia della riga di comando per condividere una cartella o un'unità.

Condividere una cartella o un'unità

  • Tramite l'interfaccia di Windows

  • Tramite una riga di comando

Per condividere una cartella o un'unità tramite l'interfaccia di Windows

  1. Aprire Gestione computer.

  2. Se viene visualizzata la finestra di dialogo Controllo account utente, confermare che l'azione visualizzata è quella desiderata e quindi fare clic su Sì.

  3. Nell'albero della console fare clic su Utilità di sistema, Cartelle condivise e quindi Condivisioni.

  4. Scegliere Nuova condivisione dal menu Azione.

  5. Eseguire la procedura della Creazione guidata cartella condivisa e quindi fare clic su Fine.

Per condividere una cartella o un'unità tramite una riga di comando

  1. Per aprire una finestra del prompt dei comandi con privilegi elevati, fare clic sul pulsante Start, scegliere Tutti i programmi, Accessori, quindi fare clic con il pulsante destro del mouse su Prompt dei comandi e infine scegliere Esegui come amministratore.

  2. Se viene visualizzata la finestra di dialogo Controllo account utente, confermare che l'azione visualizzata è quella desiderata e quindi fare clic su Sì.

  3. Digitare:

    net share <sharename=drive:path>

    Ad esempio, per condividere una cartella denominata condivisione situata nell'unità C nel percorso \Utenti\Nomeutente, type:

    net share myshare=C:\Users\Myname

Valore | Descrizione
Net share | Crea, elimina o visualizza le cartelle condivise.
<sharename> | Nome di rete della cartella condivisa.
<drive:path> | Percorso assoluto della cartella condivisa.
Nota

Per visualizzare la sintassi completa del comando, al prompt dei comandi digitare: net help share

Ulteriori riferimenti

Notazione di sintassi della riga di comando


Terminare la condivisione di una cartella o di un'unità

È possibile terminare la condivisione di una cartella o di un'unità utilizzando lo snap-in Cartelle condivise di Microsoft Management Console (MMC) o il prompt dei comandi.

Importante

Gli utenti connessi a una cartella condivisa vengono disconnessi quando si termina la condivisione di tale cartella. È possibile che si verifichi una perdita di dati se si termina senza preavviso la condivisione di una cartella contenente un file condiviso aperto. Se possibile, inviare agli utenti una notifica prima di terminare la condivisione di una cartella.

Terminare la condivisione di una cartella o di un'unità

  • Tramite l'interfaccia di Windows

  • Tramite una riga di comando

Per terminare la condivisione di una cartella tramite l'interfaccia di Windows

  1. Aprire Gestione computer.

  2. Se viene visualizzata la finestra di dialogo Controllo account utente, confermare che l'azione visualizzata è quella desiderata e quindi fare clic su Sì.

  3. Nell'albero della console fare clic su Utilità di sistema, Cartelle condivise e quindi Condivisioni.

  4. Nel riquadro dei dettagli fare clic con il pulsante destro del mouse sulla cartella condivisa e quindi scegliere Termina condivisione.

    Per terminare la condivisione di più file, fare clic sui nomi dei file tenendo premuto CTRL, fare clic con il pulsante destro del mouse su uno dei file selezionati e quindi scegliere Termina condivisione. In questo modo verrà interrotto l'accesso di rete condiviso ai file selezionati.

Per terminare la condivisione di una cartella tramite una riga di comando

  1. Per aprire una finestra del prompt dei comandi con privilegi elevati, fare clic sul pulsante Start, scegliere Tutti i programmi, Accessori, quindi fare clic con il pulsante destro del mouse su Prompt dei comandi e infine scegliere Esegui come amministratore.

  2. Se viene visualizzata la finestra di dialogo Controllo account utente, confermare che l'azione visualizzata è quella desiderata e quindi fare clic su Sì.

  3. Digitare:

    net share <sharename> /delete.

    Ad esempio, per terminare la condivisione di una cartella denominata "condivisione", digitare:

    net share myshare /delete

Valore | Descrizione
Net share | Crea, elimina o visualizza le cartelle condivise.
<sharename> | Nome di rete della cartella condivisa.
/delete | Termina la condivisione della cartella.
Nota

Per visualizzare la sintassi completa del comando, al prompt dei comandi digitare: net help share

Ulteriori riferimenti


Chiudere un file aperto

È possibile chiudere i file o le cartelle condivise utilizzando lo snap-in Cartelle condivise di Microsoft Management Console (MMC) o il prompt dei comandi.

Importante

Quando si esegue questa operazione, gli utenti connessi a un file o cartella condivisa vengono disconnessi. Se si chiude senza preavviso un file condiviso aperto, è possibile che si verifichi una perdita di dati. Se possibile, inviare una notifica agli utenti prima di chiudere i file ed eseguire la disconnessione.

Chiudere un file aperto

  • Tramite l'interfaccia di Windows

  • Tramite una riga di comando

Per chiudere un file o una cartella condivisa aperta tramite l'interfaccia di Windows

  1. Aprire Gestione computer.

  2. Se viene visualizzata la finestra di dialogo Controllo account utente, confermare che l'azione visualizzata è quella desiderata e quindi fare clic su Sì.

  3. Nell'albero della console fare clic su Utilità di sistema, Cartelle condivise e quindi File aperti.

  4. Eseguire una delle operazioni seguenti:

    • Per chiudere tutti i file e tutte le cartelle, scegliere Disconnetti tutti i file aperti dal menu Azione.

    • Per chiudere un file o una cartella specifica, nel riquadro Risultati fare clic con il pulsante destro del mouse sul nome de file o della cartella e quindi scegliere Chiudi file aperto.

    • Per disconnettere più file o cartelle aperte, fare clic sui nomi dei file o delle cartelle tenendo premuto CTRL, fare clic con il pulsante destro del mouse su uno dei file o delle cartelle selezionate e quindi scegliere Chiudi file aperto. In questo modo verranno chiusi i file o le cartelle selezionate.

Per chiudere un file o una cartella condivisa aperta tramite una riga di comando

  1. Per aprire una finestra del prompt dei comandi con privilegi elevati, fare clic sul pulsante Start, scegliere Tutti i programmi, Accessori, quindi fare clic con il pulsante destro del mouse su Prompt dei comandi e infine scegliere Esegui come amministratore.

  2. Se viene visualizzata la finestra di dialogo Controllo account utente, confermare che l'azione visualizzata è quella desiderata e quindi fare clic su Sì.

  3. Digitare:

    net file <ID> /close

    Ad esempio, per chiudere un file aperto identificato come id_file, digitare:

    net file myfile_id /close

Valore | Descrizione
Net file | Visualizza i nomi di tutti i file o le cartelle condivise aperte su un server e il numero degli eventuali blocchi file su ogni file o cartella.
<ID> | ID assegnato del file o della cartella condivisa assegnato dinamicamente.
/close | Chiude il file o la cartella condivisa e rimuove i blocchi file. Digitare questo comando dal server in cui il file o la cartella è condivisa.
Note
  • Per visualizzare la sintassi completa del comando, al prompt dei comandi digitare: net help file
  • Per visualizzare l'ID file del file o della cartella condivisa, digitare net file

Ulteriori riferimenti


Disconnettere un utente

È possibile disconnettere gli utenti da una cartella condivisa utilizzando lo snap-in Cartelle condivise di MMC o il prompt dei comandi, ma non tramite Esplora risorse.

Importante

Se la disconnessione avviene senza preavviso, è possibile che si verifichi una perdita di dati. Se possibile, inviare una notifica agli utenti prima di effettuare la disconnessione.

Disconnettere un utente o tutti gli utenti

  • Tramite l'interfaccia di Windows

  • Tramite una riga di comando

Per disconnettere un utente o tutti gli utenti da una cartella o unità condivisa tramite l'interfaccia di Windows

  1. Aprire Gestione computer.

  2. Se viene visualizzata la finestra di dialogo Controllo account utente, confermare che l'azione visualizzata è quella desiderata e quindi fare clic su Sì.

  3. Nell'albero della console fare clic su Utilità di sistema, Cartelle condivise e quindi Sessioni.

  4. Per disconnettere tutti gli utenti, scegliere Disconnetti tutti gli utenti dal menu Azione. Per disconnettere un utente specifico, nel riquadro Dettagli fare clic con il pulsante destro del mouse sul nome dell'utente e quindi scegliere Chiudi sessione.

Per disconnettere un utente o tutti gli utenti da una cartella o unità condivisa tramite una riga di comando

  1. Per aprire una finestra del prompt dei comandi con privilegi elevati, fare clic sul pulsante Start, scegliere Tutti i programmi, Accessori, quindi fare clic con il pulsante destro del mouse su Prompt dei comandi e infine scegliere Esegui come amministratore.

  2. Se viene visualizzata la finestra di dialogo Controllo account utente, confermare che l'azione visualizzata è quella desiderata e quindi fare clic su Sì.

  3. Digitare:

    net session \\<computer> /delete

    Ad esempio, per disconnettere un utente in un computer denominato computer_utente, che è connesso a una cartella condivisa che si gestisce, digitare:

    net session \\user_computer /delete

Valore | Descrizione
Net session | Elenca o disconnette gli utenti connessi a cartelle condivise nel computer.
\\<computer> | Nome del computer che accede alla cartella condivisa.
/delete | Termina la sessione e chiude tutti i file aperti nel computer per la sessione. Se si omette \\computer, viene terminata la sessione nel computer locale.
Nota

Per visualizzare la sintassi completa del comando, al prompt dei comandi digitare: net help session

Ulteriori riferimenti


Impostare le autorizzazioni per le cartelle condivise

Le autorizzazioni di condivisione sono valide per gli utenti che si connettono a una cartella condivisa in rete. Non interessano gli utenti che eseguono l'accesso localmente o tramite desktop remoto.

Per impostare le autorizzazioni per gli utenti che eseguono l'accesso localmente o tramite desktop remoto, utilizzare le opzioni nella scheda Sicurezza anziché la scheda Autorizzazioni condivisione. In questo modo le autorizzazioni vengono impostato a livello di file system NTFS. Se vengono impostate sia autorizzazioni di condivisione che autorizzazioni a livello di file system per una cartella condivisa, verranno applicate le autorizzazioni più restrittive durante la connessione alla cartella condivisa.

Ad esempio, per concedere l'accesso in Lettura su una cartella condivisa agli utenti del dominio, impostare le autorizzazioni per il gruppo Everyone su Controllo completo nella scheda Autorizzazioni condivisione. Nella scheda Sicurezza specificare un accesso più restrittivo impostando le autorizzazioni per il gruppo Domain Users su Lettura. In questo modo, un utente che fa parte del gruppo Domain Users potrà accedere in sola lettura alla cartella condivisa, a prescindere dal fatto che sia connesso tramite una condivisione di rete, tramite desktop remoto o localmente.

È possibile impostare le autorizzazioni a livello di file system nella riga di comando utilizzando lo strumento iCacls.exe o Cacls.exe del sistema operativo. Questi strumenti vengono eseguiti solo su un volume NTFS.

Nota

Per abilitare l'enumerazione basata sull'accesso in una cartella condivisa, è necessario utilizzare Gestione condivisione e archiviazione. L'enumerazione basata sull'accesso consente agli utenti di visualizzare solo i file e le cartelle in una cartella condivisa per la quale dispongono dell'autorizzazione di accesso. Per ulteriori informazioni, vedere http://go.microsoft.com/fwlink/?LinkId=141539.

Impostare le autorizzazioni sulle cartelle condivise

  • Tramite l'interfaccia di Windows

  • Tramite una riga di comando

Per impostare le autorizzazioni su una cartella condivisa tramite l'interfaccia di Windows

  1. Aprire Gestione computer.

  2. Se viene visualizzata la finestra di dialogo Controllo account utente, confermare che l'azione visualizzata è quella desiderata e quindi fare clic su Sì.

  3. Nell'albero della console fare clic su Utilità di sistema, Cartelle condivise e quindi Condivisioni.

  4. Nel riquadro dei dettagli fare clic con il pulsante destro del mouse sulla cartella condivisa e quindi scegliere Proprietà.

  5. Nella scheda Autorizzazioni condivisione impostare le autorizzazioni desiderate:

    • Per assegnare autorizzazioni a un utente o gruppo per una cartella condivisa, fare clic su Aggiungi. Nella finestra di dialogo Seleziona utenti, computer o gruppi individuare o digitare il nome dell'utente o del gruppo e quindi fare clic su OK.

    • Per revocare l'accesso alla cartella condivisa, fare clic su Rimuovi.

    • Per impostare singole autorizzazioni per l'utente o il gruppo, in Autorizzazioni per gruppo o utente selezionare Consenti o Nega.

  6. Per impostare autorizzazioni a livello di file e cartella valide per gli utenti che eseguono l'accesso localmente o tramite Servizi Desktop remoto, fare clic sulla scheda Sicurezza e impostare le autorizzazioni appropriate.

Per specificare le autorizzazioni file per un utente tramite una riga di comando

  1. Per aprire una finestra del prompt dei comandi con privilegi elevati, fare clic sul pulsante Start, scegliere Tutti i programmi, Accessori, quindi fare clic con il pulsante destro del mouse su Prompt dei comandi e infine scegliere Esegui come amministratore.

  2. Se viene visualizzata la finestra di dialogo Controllo account utente, confermare che l'azione visualizzata è quella desiderata e quindi fare clic su Sì.

  3. Per impostare singole autorizzazioni per un utente o gruppo, digitare:

    cacls /G <user:permission>

    Ad esempio, per specificare le autorizzazioni di scrittura per l'utente Monica su un file denominato 002.jpg, digitare:

    cacls 002.jpg /G Monica:w

  4. Per revocare l'accesso alla cartella condivisa, digitare:

    cacls /R <user>

    Ad esempio, per revocare l'accesso alla cartella condivisa per un utente con nome utente Monica, digitare:

    Cacls /R Monica

Valore Descrizione

cacls

Visualizza o modifica gli elenchi di controllo di accesso (ACL) dei file.

/R

Revoca i diritti di accesso dell'utente specificato

/G

Concede diritti di accesso all'utente specificato

<user>

Utente o gruppo per cui vengono impostati i diritti di accesso.

<permission>

Autorizzazione concessa all'utente. Le opzioni a disposizione sono:

  • N (Nessuna)

  • W (Scrittura)

  • C (Modifica)

  • F (Controllo completo)

Ulteriori riferimenti


Configurare la disponibilità di una cartella condivisa in modalità offline

La funzionalità di memorizzazione nella cache di Cartelle condivise consente agli utenti di accedere ai file condivisi anche in modalità offline senza accesso alla rete. È inoltre possibile utilizzare Cartelle condivise o Gestione condivisione e archiviazione per abilitare BranchCache nelle risorse condivise. La funzionalità BranchCache in Windows® 7 o Windows Server 2008 R2 consente ai computer di una succursale di memorizzare nella cache i file scaricati da questa cartella condivisa e quindi di passare i file in modo protetto agli altri computer della succursale.

È inoltre possibile configurare File non in linea e BranchCache utilizzando Criteri di gruppo. Per un elenco completo delle impostazioni di Criteri di gruppo, vedere il sito Web Microsoft (http://go.microsoft.com/fwlink/?LinkId=142412).

Importante

Quando si crea una cartella condivisa, la disponibilità in modalità offline è consentita per impostazione predefinita ed è quindi possibile che cartelle sicure vengano archiviate offline su computer potenzialmente non sicuri. Per una maggiore sicurezza, non consentire agli utenti di archiviare file offline. In caso contrario, prendere in considerazione la crittografia del volume del sistema operativo tramite Crittografia unità BitLocker™ di Windows®. Per ulteriori informazioni, visitare la pagina relativa a Crittografia unità BitLocker del sito Web Microsoft all'indirizzo http://go.microsoft.com/fwlink/?LinkId=141534.

Impostare le opzioni di memorizzazione nella cache per una cartella condivisa

  • Tramite l'interfaccia di Windows

  • Tramite una riga di comando

Per impostare le opzioni di memorizzazione nella cache per una cartella condivisa tramite l'interfaccia di Windows

  1. Aprire Gestione computer.

  2. Se viene visualizzata la finestra di dialogo Controllo account utente, confermare che l'azione visualizzata è quella desiderata e quindi fare clic su Sì.

  3. Nell'albero della console fare clic su Utilità di sistema, Cartelle condivise e quindi Condivisioni.

  4. Nel riquadro dei risultati fare clic con il pulsante destro del mouse sulla cartella condivisa e quindi scegliere Proprietà.

  5. Nella scheda Generale fare clic su Impostazioni modalità offline, configurare le opzioni di disponibilità offline come desiderato e quindi fare clic su OK.

Opzioni di disponibilità in modalità offline

Per ogni cartella condivisa, è possibile selezionare una delle seguenti opzioni di disponibilità in modalità offline:

  • Solo i file e i programmi specificati dagli utenti sono disponibili offline. Questa è l'opzione predefinita per la configurazione di una cartella condivisa. Se si utilizza questa opzione, per impostazione predefinita nessun file o programma sarà disponibile in modalità offline e gli utenti potranno stabilire per quali file e programmi desiderano disporre dell'accesso quando non sono connessi alla rete.

    • Abilita BranchCache. Consente ai computer di una succursale di memorizzare nella cache i file scaricati da questa cartella condivisa e quindi di passare i file in modo sicuro agli altri computer della succursale. Per abilitare BranchCache, è innanzitutto necessario installare il servizio ruolo BranchCache per file di rete utilizzando Server Manager.

  • Nessun file o programma nella condivisione disponibile offline. Questa opzione impedisce l'utilizzo della funzionalità File non in linea nei computer client per creare copie dei file e dei programmi nella cartella condivisa.

  • Tutti i file e i programmi aperti dagli utenti nella condivisione sono automaticamente disponibili in modalità offline. Quando un utente accede alla cartella o al volume condiviso o a un programma in essi contenuto, tale file o programma verrà automaticamente reso disponibile in modalità offline a tale utente. I file e i programmi resi automaticamente disponibili in modalità offline rimarranno nella cache di File non in linea e verranno sincronizzati con la versione sul server finché la cache non sarà piena e l'utente eliminerà i file. I file e i programmi che non vengono aperti non sono disponibili in modalità offline.

    Se si seleziona la casella di controllo Ottimizza prestazioni, i file eseguibili (file con estensione exe o dll) che vengono eseguiti dalla cartella condivisa da un computer client vengono automaticamente memorizzati nella cache di tale computer client. Quando il computer client eseguirà i file eseguibili la volta successiva, accederà alla cache locale invece che alla cartella condivisa sul server.

    Nota

    Affinché i file e i programmi vengano memorizzati automaticamente nella cache, la funzionalità File non in linea deve essere attivata nel computer client. L'opzione Ottimizza prestazioni non ha inoltre effetto sui computer client che eseguono Microsoft Windows Vista o versione successiva.

Per impostare le opzioni di memorizzazione nella cache per una cartella condivisa tramite una riga di comando

  1. Per aprire una finestra del prompt dei comandi con privilegi elevati, fare clic sul pulsante Start, scegliere Tutti i programmi, Accessori, quindi fare clic con il pulsante destro del mouse su Prompt dei comandi e infine scegliere Esegui come amministratore.

  2. Se viene visualizzata la finestra di dialogo Controllo account utente, confermare che l'azione visualizzata è quella desiderata e quindi fare clic su Sì.

  3. Digitare uno dei comandi seguenti per specificare la memorizzazione nella cache per la cartella condivisa:

    net share <sharename> /cache:manual
net share <sharename> /cache:BranchCache
net share <sharename> /cache:documents
net share <sharename> /cache:programs
net share <sharename> /cache:none

    Per consentire, ad esempio, agli utenti di identificare i documenti e i programmi che desiderano archiviare in modalità offline dalla cartella condivisa denominata myshare, digitare:

    net share myshare /cache:manual

Valore | Descrizione
Net share | Gestisce le cartelle condivise.
<sharename> | Nome della cartella condivisa.
/cache:manual | Consente agli utenti di specificare i documenti e i programmi che desiderano archiviare offline. Corrisponde all'opzione seguente nell'interfaccia di Windows: Solo i file e i programmi specificati dagli utenti sono disponibili offline.
/cache:BranchCache | Abilita BranchCache e la memorizzazione manuale dei documenti nella cache nella cartella condivisa. Corrisponde alle opzioni seguenti nell'interfaccia di Windows: Abilita BranchCache e Solo i file e i programmi specificati dagli utenti sono disponibili offline.
/cache:documents | Archivia automaticamente i documenti offline. Corrisponde all'opzione seguente nell'interfaccia di Windows: Tutti i file e i programmi aperti dagli utenti nella condivisione sono automaticamente disponibili offline.
/cache:programs | Archivia automaticamente documenti e programmi offline. Corrisponde all'opzione seguente nell'interfaccia di Windows: Ottimizza prestazioni.
/cache:none | Impedisce agli utenti di archiviare documenti e programmi offline. Corrisponde all'opzione seguente nell'interfaccia di Windows: Nessun file o programma nella condivisione disponibile offline.
Note
  • Per visualizzare la sintassi completa del comando, al prompt dei comandi digitare: net help share
  • Per visualizzare informazioni su una cartella condivisa, digitare: net share <sharename>

Ulteriori riferimenti

  • Guida alla distribuzione di BranchCache

  • Notazione di sintassi della riga di comando


Limitare il numero di utenti di una cartella condivisa

È possibile condividere cartelle e file con altri utenti sulla rete o condividere l'intero disco rigido. Per un maggiore controllo, è possibile specificare il numero di utenti autorizzati a connettersi simultaneamente alla cartella condivisa.

Il numero massimo di utenti autorizzati a connettersi a una cartella condivisa dipende dalle condizioni di licenza software.

Limitare il numero di utenti di una cartella condivisa

  • Tramite l'interfaccia di Windows

  • Tramite una riga di comando

Per limitare il numero di utenti di una cartella condivisa tramite l'interfaccia di Windows

  1. Aprire Gestione computer.

  2. Se viene visualizzata la finestra di dialogo Controllo account utente, confermare che l'azione visualizzata è quella desiderata e quindi fare clic su Sì.

  3. Nell'albero della console fare clic su Utilità di sistema, Cartelle condivise e quindi Condivisioni.

  4. Nel riquadro dei dettagli fare clic con il pulsante destro del mouse sulla cartella condivisa e quindi scegliere Proprietà.

  5. Nella scheda Generale, in Limite numero utenti, specificare il limite desiderato:

    • Per impostare il limite sul numero massimo, fare clic su Massimo consentito.

    • Per specificare un numero limite, fare clic su Numero consentito e quindi digitare il numero di utenti nella casella.

Per limitare il numero di utenti di una cartella condivisa tramite una riga di comando

  1. Per aprire una finestra del prompt dei comandi con privilegi elevati, fare clic sul pulsante Start, scegliere Tutti i programmi, Accessori, quindi fare clic con il pulsante destro del mouse su Prompt dei comandi e infine scegliere Esegui come amministratore.

  2. Se viene visualizzata la finestra di dialogo Controllo account utente, confermare che l'azione visualizzata è quella desiderata e quindi fare clic su Sì.

  3. Digitare:

    net share <sharename> /users:<number>

    Ad esempio, per specificare il limite di tre utenti che possono connettersi simultaneamente alla cartella condivisa denominata condivisione, digitare:

    net share myshare /users:3

Valore | Descrizione
Net share | Crea, elimina o visualizza la cartella condivisa.
<Sharename> | Nome di rete della cartella condivisa.
/users:<number> | Imposta il numero massimo di utenti che possono accedere simultaneamente alla cartella condivisa.
Nota

Per visualizzare la sintassi completa del comando, al prompt dei comandi digitare: net help share

Ulteriori riferimenti


Informazioni sulle cartelle condivise e Windows Firewall

La condivisione di una cartella o di un file determina la creazione di un'eccezione di Windows Firewall per Condivisione file e stampanti. L'eccezione apre le porte elencate nella tabella seguente.

Connessione | Porte
TCP | 139, 445
UDP | 137, 138

L'ambito predefinito prevede l'autorizzazione ad accedere da qualsiasi computer in rete, compresi i computer su Internet. Se non vengono bloccate le connessioni in ingresso su queste porte utilizzando un firewall hardware, un server firewall o un altro dispositivo di condivisione Internet, il computer sarà vulnerabile agli attacchi da Internet mentre è attiva la connessione Internet.

Per ulteriori informazioni su Windows Firewall, fare clic sul pulsante Start, fare clic su Guida e supporto tecnico e cercare la parola chiave Firewall.


Risolvere i problemi relativi alle cartelle condivise

Quale problema si è verificato?

  • Non è possibile accedere alle cartelle condivise

  • Non è possibile visualizzare le informazioni sulle cartelle condivise in Cartelle condivise

  • Non è possibile visualizzare una cartella contenuta in una cartella condivisa per cui è abilitata l'enumerazione basata sull'accesso
Non è possibile accedere alle cartelle condivise.
  • Causa: La connessione di rete è stata persa.

  • Soluzione: Verificare le impostazioni di rete. Controllare la connessione ad altre risorse sulla rete, ad esempio i siti Web interni.

  • Causa: L'accesso è impedito dalle autorizzazioni di condivisione o a livello di file system.

  • Soluzione: Verificare che le autorizzazioni di condivisione e a livello di file system nel computer a cui ci si connette consentano all'utente o al gruppo di accedere alla cartella condivisa.

    Se è possibile accedere a Cartelle condivise sul computer remoto, nella cartella Sessioni verificare i diritti utente con cui è stato effettuato l'accesso al computer remoto.

    Controllare le Autorizzazioni accesso impostate per il gruppo Everyone. Se nella colonna Nega è presente un segno di spunta, nessuno potrà accedere alla cartella condivisa, anche se sono concesse autorizzazioni di Controllo completo al gruppo Administrators. Rimuovere il segno di spunta e concedere Controllo completo agli utenti e ai gruppi appropriati.

Non è possibile visualizzare le informazioni sulle cartelle condivise in Cartelle condivise.
  • Causa: L'accesso al computer specificato non è stato effettuato da un membro del gruppo Administrators, del gruppo Server Operators o di un gruppo che dispone dei diritti utente appropriati.

  • Soluzione: Assicurarsi di far parte di un gruppo dotato dei diritti utente appropriati, ad esempio il gruppo Administrators, prima di connettersi alla cartella condivisa.

Non è possibile visualizzare una cartella contenuta in una cartella condivisa per cui è abilitata l'enumerazione basata sull'accesso
  • Causa: L'utente non dispone dell'autorizzazione di lettura per la cartella contenuta in una cartella condivisa per cui è abilitata l'enumerazione basata sull'accesso oppure le autorizzazioni speciali sono state modificate. Con l'enumerazione basata sull'accesso, le cartelle o le altre risorse condivise per cui l'utente non dispone di diritti di accesso vengono nascoste.

  • Soluzione: Verificare che l'utente disponga dell'autorizzazione di lettura per la cartella appropriata e che all'utente siano assegnate la autorizzazioni speciali seguenti nella finestra di dialogo Impostazioni di sicurezza avanzate:

    • Visualiz. contenuto cartella/Lettura dati

    • Lettura attributi

    • Lettura attributi estesi

    • Autorizzazioni di lettura

    Per ulteriori informazioni sull'enumerazione basata sull'accesso, visitare il sito Web all'indirizzo http://go.microsoft.com/fwlink/?LinkId=141539.


Notazione di sintassi della riga di comando

Nella tabella seguente viene descritta la notazione utilizzata per indicare la sintassi della riga di comando.

Notazione | Descrizione
Testo senza parentesi quadre o graffe | Elementi da digitare come indicato
<Testo tra parentesi acute> | Segnaposto per il quale è necessario fornire un valore
[Testo tra parentesi quadre] | Elementi facoltativi
{Testo tra parentesi graffe} | Serie di elementi richiesti: effettuare una selezione
Barra verticale (|) | Separatore per elementi che si escludono a vicenda: effettuare una selezione
Puntini di sospensione (...) | Elementi che possono essere ripetuti